%define srcname kombu

Name:           python-%{srcname}
Version:        5.2.3
Release:        %mkrel 3
Summary:        AMQP Messaging Framework for Python

Group:          Development/Python
# utils/functional.py contains a header that says Python
License:        BSD and Python
URL:            https://pypi.python.org/pypi/kombu
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(setuptools)

%description
AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and
also provide proven and tested solutions to common messaging problems.

%package -n python3-%{srcname}
Summary:        AMQP Messaging Framework for Python3
Group:          Development/Python

%description -n python3-%{srcname}
AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and
also provide proven and tested solutions to common messaging problems.

%prep
%autosetup -n %{srcname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc LICENSE
%doc AUTHORS FAQ README.rst THANKS TODO examples/
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 5.2.3-3.mga9
+ Revision: 1825035
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 5.2.3-2.mga9
+ Revision: 1783890
- rebuild for python-3.10

* Sun Jan 16 2022 neoclust <neoclust> 5.2.3-1.mga9
+ Revision: 1768752
- New version 5.2.3

* Sun Aug 29 2021 wally <wally> 5.1.0-1.mga9
+ Revision: 1743427
- new version 5.1.0

* Sat Jun 26 2021 wally <wally> 5.0.2-2.mga9
+ Revision: 1733164
- Rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 5.0.2-1.mga8
+ Revision: 1626391
- new version 5.0.2

* Sun Feb 16 2020 umeabot <umeabot> 4.6.4-4.mga8
+ Revision: 1532035
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 4.6.4-3.mga8
+ Revision: 1441434
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 4.6.4-2.mga8
+ Revision: 1430461
- drop python2 support

* Sun Aug 18 2019 wally <wally> 4.6.4-1.mga8
+ Revision: 1429683
- new version 4.6.4

* Fri Apr 19 2019 wally <wally> 4.5.0-1.mga7
+ Revision: 1393497
- new version 4.5.0

* Sat Jan 12 2019 daviddavid <daviddavid> 4.2.1-1.mga7
+ Revision: 1355371
- new version: 4.2.1
+ tv <tv>
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1289166
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 kekepower <kekepower> 4.1.0-1.mga7
+ Revision: 1208408
- Update to version 4.1.0
- Renamed python-kombu to python2-kombu

* Sat Aug 05 2017 pterjan <pterjan> 3.0.33-2.mga7
+ Revision: 1135477
- Rebuild for python 3.6

* Mon Feb 15 2016 daviddavid <daviddavid> 3.0.33-1.mga6
+ Revision: 961215
- new version: 3.0.33
- use new python macros

* Thu Oct 08 2015 pterjan <pterjan> 3.0.26-1.mga6
+ Revision: 887956
- Update to 3.0.26

* Wed Oct 15 2014 umeabot <umeabot> 3.0.21-4.mga5
+ Revision: 748133
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.0.21-3.mga5
+ Revision: 728946
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.0.21-2.mga5
+ Revision: 688116
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Aug 26 2014 pterjan <pterjan> 3.0.21-1.mga5
+ Revision: 668495
- 3.0.21

* Sat May 31 2014 pterjan <pterjan> 2.5.15-4.mga5
+ Revision: 628741
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.5.15-3.mga4
+ Revision: 543689
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.5.15-2.mga4
+ Revision: 498839
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 2.5.15-1.mga4
+ Revision: 496819
- fix python3 build
+ pterjan <pterjan>
- 2.5.15

* Thu Sep 05 2013 pterjan <pterjan> 2.5.14-1.mga4
+ Revision: 475319
- 2.5.14

* Sun Aug 18 2013 pterjan <pterjan> 2.5.12-1.mga4
+ Revision: 467385
- Add python3 build
- 2.5.12

* Mon May 06 2013 pterjan <pterjan> 2.5.10-1.mga4
+ Revision: 412402
- imported package python-kombu


* Sun Apr 21 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.5.10-1
- Updated to latest upstream version 2.5.10

* Sat Mar 23 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.5.8-1
- Updated to latest upstream version 2.5.8

* Sat Mar 09 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.5.7-1
- Updated to latest upstream version 2.5.7

* Mon Feb 11 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.5.6-1
- Updated to latest upstream version 2.5.6

* Sat Feb 09 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.5.5-1
- Updated to latest upstream version 2.5.5

* Thu Dec 13 2012 Matthias Runge <mrunge@redhat.com> - 2.5.4-1
- Update to upstream version 2.5.4 (rhbz#886001)

* Tue Dec 04 2012 Matthias Runge <mrunge@redhat.com> - 2.5.3-1
- Update to latest upstream version 2.5.3

* Mon Nov 26 2012 Matthias Runge <mrunge@redhat.com> - 2.4.10-1
- Update to latest upstream version 2.4.10

* Tue Nov 06 2012 Matthias Runge <mrunge@redhat.com> - 2.4.8-1
- update to new upstream version 2.4.8

* Thu Sep 20 2012 Matthias Runge <mrunge@redhat.com> - 2.4.7-1
- Update to new upstream version 2.4.7

* Sun Aug 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 2.4.3-1
- Update to new upstream version 2.4.3

* Thu Aug 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 2.4.0-1
- update to new upstream version 2.4.0

* Fri Aug 03 2012 Matthias Runge <mrunge@matthias-runge.de> - 2.3.2-1
- update to version 2.3.2
- enable tests
- require python2 and/or python3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 15 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.3-1
- initial spec.  
- derived from the one written by Fabian Affolter
- spec patch from Lakshmi Narasimhan

